Subject: RE: Resolution: A suggested additional item in IPR disclosure pages (fwd)

From: [email-masked] (Todd Glassey @ Att.Net)
Date: Wed, 08 Dec 2004 17:15:27 +0000

Larry - they are the same...

(1) I am suggesting that the term Open Standard means "no, the WG Chairs dont get to decide what they think this standard is" and that the larger IETF and its process is what dictates the process and method of attaining a standards status. 

This is a very serious failing to date in the IETF's process since basically there is no way to tell from a forensic stance what was done for any particular standard that was issued. Or... any that were not, which is likely more important. 

My point is in leveling the playing field. The idea behind the IETF is that it is a peer-review and peer-driven standards process, and there is NOTHING WRONG WITH THAT, as long as one review process is equal to all others (or at least the others within that class) within the IETF framework.

(2) Then there is the issue of that the WG Chairs control (as in fiefdoms) what does and does not get worked on in their WG's and well bluntly - the WG Chairs do not own the WG or the vetting process that is performed through them. Their  (WG Chairs) actions cause real-world damage to standards and products that would leverage them, but in reviewing the IETF's history and operating policy, my feeling  is that this was likely the intent. The problem is that this is unacceptable and the IETF is not an Empire but a collective vetting process that needs to be equal for all users, and all IP submitters.

(3) Then we come to the issue of whether the submitter legally has the power or the legal right to convey a publishing copyright to the IETF and DCMA. My take is that the IETF's current process is in violation of the DCMA since there is NO POSSIBLE WAY with a simple one way email, to determine whether the person filing the draft or RFC_DRAFT has the legal authority to do so

Add it up 

(1 and 2) - UniformStandards Practices - all standards are created equally. WG Chairs are not local demi-gods
(3) - proper release and disclosure is done to enable Open Adoption of the proposed standard.

--
Regards, 
Todd

-------------- Original message from "Lawrence Rosen" <[email-masked]>: -------------- 

Todd,

Are you suggesting that standards organizations have IP policies that must be followed by all WGs? I think we’re all in favor of that. From reading the email on this list over the past year or so, it seems to me that IETF’s leaders at least intend for the organization to run that way. Despite some ambiguous words in David Black’s email, I hope that IETF WGs all follow IETF policies, as best they understand them.

The arguments here mostly seem to be about whether the IETF policies are strong enough and unambiguous enough to provide comfort and assurance to adopters of its standards, not whether there are rogue WGs that go their own way.

/Larry
Lawrence Rosen 
Rosenlaw & Einschlag, technology law offices (www.rosenlaw.com)
3001 King Ranch Road, Ukiah, CA 95482 
707-485-1242 * fax: 707-485-1243 
email: [email-masked] 
-----Original Message-----
From: Todd Glassey @ Att.Net [mailto:[email-masked]] 
Sent: Wednesday, December 08, 2004 8:24 AM
To: [email-masked]; [email-masked]; [email-masked]
Cc: Lawrence Rosen; [email-masked]
Subject: RE: Resolution: A suggested additional item in IPR disclosure pages (fwd)

Larry - as an Attorney wouldnt you agree that if WG's are provided the capability of deciding what they will and wont work on and under what terms, that the issue of fair-and-open standards is real. My point is how is a standards org held accountable for favoritism? 

All standards processes must be equal within the same context orthere is no level playing field, and this is something that the IETF and IESG have suffered from for years.

T.

Todd

--
Regards, 
Todd

-------------- Original message from "Lawrence Rosen" <[email-masked]>: -------------- 

> Larry Blunk wrote: 
> > > The point I am making is there 
> > > is little to no value in claiming you will license under RAND terms 
> > > without the actual license available for people to make their own 
> > > decision about whether or not the terms should cause concern. 
> > 
> David Black responded: 
> > That point is incorrect - I have "running code" counterexamples from 
> > working groups that I chair, where such a disclosure was sufficient 
> > for the WG to evaluate whether there was a cause for concern. 
> 
> Please describe this further. If a WG decides on the basis of a RAND 
> declaration that it will not pursue that technology, that's fine. But if the 
> WG proceeds to adopt that technology despite a vague RAND declaration 
> without an actual license, that's VERY RISKY to future adopters of the 
> standard. So are your "running code" examples really on point? Or should you 
> be alerting us to potential problem standards that were recommended by your 
> WGs? 
> 
> /Larry Rosen 
> 
> Lawrence Rosen 
> Rosenlaw & Einschlag, technology law offices (www.rosenlaw.com) 
> 3001 King Ranch Road, Ukiah, CA 95482 
> 707-485-1242 * fax: 707-485-1243 
> email: [email-masked] 
> 
> 
> 
> > -----Original Message----- 
> > From: [email-masked] [mailto:[email-masked]] On Behalf 
> > Of [email-masked] 
> > Sent: Tuesday, December 07, 2004 10:16 PM 
> > To: [email-masked] 
> > Cc: [email-masked] 
> > Subject: RE: Resolution: A suggested additional item in IPR disclosure 
> > pages (fwd) 
> > 
> > > > > ... I would go further and suggest removing the "Reasonable 
> > > > > and Non-Discriminatory" terminology from the template as 
> > > > > it's definition is entirely subjective. 
> > > > 
> > > > Not a chance. It's a term of art and is the main reason many corporate 
> > > > IPR departments are able to use the template in the first place. 
> > > > 
> > > > I think the modifications announced by Harald are fine. 
> > > > 
> > > > Brian 
> > > 
> > > I'm afraid I don't understand. If they are willing to license to 
> > > "All Implementers", wouldn't that make it a public license? 
> > > Why is it unreasonable to request a link to the license? 
> > 
> > Reasonable and non-discriminatory does not require public 
> > disclosure of the licensing terms - see Section 4.1 of RFC 3668. 
> > Lawyers generally prefer not to disclose any more than they have 
> > to. 
> > 
> > One of the things to consider is that the license itself may not 
> > be ready when the disclosure is made, and putting more requirements 
> > on disclosure is not conducive to getting disclosures in 
> > a timely fashion (already an annoying problem). 
> > 
> > > Further, if they 
> > > are unwilling to provide a link to the license, they can still use the 
> > > form and select options d) or e). 
> > 
> > Not really, as d) doesn't complete the obligation to disclose, 
> > and e) is uncooperative. 
> > 
> > > The point I am making is there 
> > > is little to no value in claiming you will license under RAND terms 
> > > without the actual license available for people to make their own 
> > > decision about whether or not the terms should cause concern. 
> > 
> > That point is incorrect - I have "running code" counterexamples from 
> > working groups that I chair, where such a disclosure was sufficient 
> > for the WG to evaluate whether there was a cause for concern. 
> > 
> > Thanks, 
> > --David 
> > ---------------------------------------------------- 
> > David L. Black, Senior Technologist 
> > EMC Corporation, 176 South St., Hopkinton, MA 01748 
> > +1 (508) 293-7953 FAX: +1 (508) 293-7786 
> > [email-masked] Mobile: +1 (978) 394-7754 
> > ---------------------------------------------------- 
> > 
> > _______________________________________________ 
> > Ipr-wg mailing list 
> > [email-masked] 
> > https://www1.ietf.org/mailman/listinfo/ipr-wg 
> 
> 
> _______________________________________________ 
> Ipr-wg mailing list 
> [email-masked] 
> https://www1.ietf.org/mailman/listinfo/ipr-wg 

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg

---

From: "Lawrence Rosen" <[email-masked]>
Date: Wed, 8 Dec 2004 10:20:52 -0800

Todd,

In the interest of focus, I will comment only about the first point of your
email:

(1) I am suggesting that the term Open Standard means "no, the WG Chairs
dont get to decide what they think this standard is" and that the larger
IETF and its process is what dictates the process and method of attaining a
standards status. 

It would be helpful if we all use terms the same way. The term Open
Standards means the following with respect to the licenses under which
necessary patents and copyrights are made available:

1.	Everyone is free to copy and distribute the official specification
for an open standard under an open source license.
2.	Everyone is free to make or use embodiments of an open standard
under unconditional licenses to patent claims necessary to practice that
standard.
3.	Everyone is free to distribute externally, sell, offer for sale,
have made or import embodiments of an open standard under patent licenses
that may be conditioned only on reciprocal licenses to any of licensees'
patent claims necessary to practice that standard.
4.	A patent license for an open standard may be terminated as to any
licensee who sues the licensor or any other licensee for infringement of
patent claims necessary to practice that standard. 
5.	All patent licenses necessary to practice an open standard are
worldwide, royalty-free, non-exclusive, perpetual and sublicenseable. 

As to the policies and procedures that IETF must adopt to allow us to
recognize Open Standards when we see them - that's what this thread was
about. Harald's proposal was to add the words "ALL" and "ANY" to the text of
the IETF IPR template so that important licensing terms are disclosed. 

I think that's a great idea because it will inform our customers whether our
standards are truly Open Standards or not.

/Larry Rosen

Lawrence Rosen 
Rosenlaw & Einschlag, technology law offices ( <http://www.rosenlaw.com>
www.rosenlaw.com)
3001 King Ranch Road, Ukiah, CA 95482 
707-485-1242 * fax: 707-485-1243 
email:  <mailto:[email-masked]> [email-masked]

---

From: Ted Hardie <[email-masked]>
Date: Wed, 8 Dec 2004 15:13:18 -0800

At 10:20 AM -0800 12/8/04, Lawrence Rosen wrote:
>Todd,
>
>In the interest of focus, I will comment only about the first point 
>of your email:
>
>(1) I am suggesting that the term Open Standard means "no, the WG 
>Chairs dont get to decide what they think this standard is" and that 
>the larger IETF and its process is what dictates the process and 
>method of attaining a standards status.
>
>Standards means the following with respect to the licenses under 
>which necessary patents and copyrights are made available:
>

Before you go off into this, I note that many of us use "Open 
Standard" to discuss
how the standard *gets created*, not who gets to use it under what terms.  From
this corner of the peanut gallery, there is a world of difference 
from my getting
to eat the sausage when a closed group of cooks decides what goes in 
it, and my being
able to be in the kitchen and say, "hey, let's make pie instead!". 
The first is
nice if I know I want to eat their sausage--the second is critical if I want to
be in a position to help set the menu.

Your mileage obviously varies, but I wanted to make clear that we're not
even on the same page as to which end is "Open" in "Open Standards".
Our common ideal may be "both", but that's not exactly clear from what
is set out below.

Your folksy friend,
			Ted Hardie

>
>1.	Everyone is free to copy and distribute the official 
>specification for an open standard under an open source license.
>2.	Everyone is free to make or use embodiments of an open 
>standard under unconditional licenses to patent claims necessary to 
>practice that standard.
>3.	Everyone is free to distribute externally, sell, offer for 
>sale, have made or import embodiments of an open standard under 
>patent licenses that may be conditioned only on reciprocal licenses 
>to any of licensees' patent claims necessary to practice that 
>standard.
>4.	A patent license for an open standard may be terminated as to 
>any licensee who sues the licensor or any other licensee for 
>infringement of patent claims necessary to practice that standard.
>5.	All patent licenses necessary to practice an open standard 
>are worldwide, royalty-free, non-exclusive, perpetual and 
>sublicenseable.
>
>
>As to the policies and procedures that IETF must adopt to allow us 
>to recognize Open Standards when we see them - that's what this 
>thread was about. Harald's proposal was to add the words "ALL" and 
>"ANY" to the text of the IETF IPR template so that important 
>licensing terms are disclosed.
>
>I think that's a great idea because it will inform our customers 
>whether our standards are truly Open Standards or not.
>
>/Larry Rosen
>Lawrence Rosen
>Rosenlaw & Einschlag, technology law offices 
>(<http://www.rosenlaw.com>www.rosenlaw.com)
>email: <mailto:[email-masked]>[email-masked]
>
>